Your country

Tools that support it use your country for local currency, number formats, units and paper size. Your choice is saved only in this browser.

Type a name or a two-letter code. Use the up and down arrow keys to move through the countries, Enter to choose one and Escape to close.

Audio Converter

Change any audio file’s format, quality and channels on your own device.

Audio & Video No upload Free to try, no sign-up Pro tool Pro pass from ₹79

Next steps

About the Audio Converter

Convert audio files between MP3, WAV, FLAC, M4A (AAC), OGG/Opus and WebM/Opus without uploading them. Choose the bitrate (with variable bitrate for AAC and Opus), the sample rate, the bit depth for WAV and FLAC, and the channels: keep them, mix to mono, make stereo, swap left and right, or keep only the left or right channel — handy for a recording where the microphone was on one side only.

Besides the usual formats the converter reads AIFF and AIFF-C, raw AC-3 (Dolby Digital), E-AC-3 and DTS files, and the soundtrack of MP4, MOV, MKV and WebM videos. Title, artist, album, track number, date and cover art are carried over to formats that can store them. The page shows what the output will be and why before you convert.

Choose several files, drop a folder, or pick a whole folder (an album, for example) to convert them all with the same settings, one after another; download each result or all of them as one ZIP.

How to use it

  1. Drop an audio file (or a video) on the box, or click Choose audio files. The page shows its format, length, codec, sample rate, channels and tags. To convert several files, choose them together, drop a folder, or use Choose a whole folder.
  2. Pick the output format, then the bitrate (MP3, M4A, Opus) or bit depth (WAV, FLAC), the sample rate and the channels.
  3. Read the Output line and the notes under it: they say exactly what will be written and anything that changes automatically.
  4. Press Convert, listen to the result in the player, and press Download. For several files, each one shows what it became; press Download all (ZIP) to save them together.

Examples

FLAC album track for a phone
Input
track.flac · FLAC 24-bit · 96 kHz · stereo · cover art
Result
MP3 · 256 kbps · 48 kHz · stereo → track.mp3 with the title, artist, album and cover

MP3 cannot store 96 kHz, so the page resamples to 48 kHz and says so.

A lecture recorded with a lapel microphone on the left channel
Input
lecture.m4a · AAC · stereo, the right channel nearly silent
Result
Channels: Left channel only (mono) → lecture.mp3 with the voice in both ears
Dolby Digital soundtrack to stereo
Input
movie.ac3 · AC-3 · 48 kHz · 5.1
Result
MP3 · 192 kbps · stereo → centre and surrounds mixed in at −3 dB (ITU-R BS.775), scaled so it cannot clip
AIFF from a Mac for a Windows editor
Input
mix.aiff · PCM 24-bit · 44.1 kHz
Result
WAV · 24-bit · 44.1 kHz → mix.wav, bit-for-bit the same sound

Which format should I choose?

  • MP3 (ISO/IEC 11172-3): plays everywhere. 128 kbps is fine for speech; 192–256 kbps is a common choice for music; 320 kbps is the MP3 maximum. MP3 here uses a constant bitrate.
  • M4A (AAC) (ISO/IEC 14496-3): usually needs a lower bitrate than MP3 for the same quality; the native format of Apple devices.
  • OGG or WebM with Opus (RFC 6716, RFC 7845): the most efficient codec here — around 96–128 kbps for music and 24–48 kbps for speech. Opus always works at 48 kHz.
  • WAV: uncompressed PCM at 16-bit, 24-bit or 32-bit float. Best for editing and for software that only accepts WAV; about 10 MB per minute at CD quality.
  • FLAC (RFC 9639): lossless like WAV but usually about half the size, with full tags and cover art.

Converting from a lossy format (MP3, AAC, Opus) to WAV or FLAC keeps the sound exactly as decoded but cannot restore what the lossy encoder removed. Converting between lossy formats costs a little more quality each time, so use a generous bitrate.

Sample rate, bit depth and channels

The sample rate is how many samples per second the file stores: 44.1 kHz for CDs, 48 kHz for video, higher rates in studios. Lowering it (for example to 16 kHz for speech) makes files smaller; raising it adds nothing to the sound. Each format accepts certain rates (MP3 up to 48 kHz, FLAC up to 192 kHz, Opus 48 kHz only); the page picks the nearest valid rate and tells you.

Bit depth applies to WAV and FLAC: 16-bit is CD quality, 24-bit keeps studio recordings intact, and 32-bit float (WAV) is for editing. Same as original keeps the source’s depth.

For surround files (5.1 or 7.1) converted to a format or setting with fewer channels, the centre and surround channels are mixed into left and right at −3 dB as in ITU-R BS.775, the LFE (subwoofer) channel is left out, and the mix is scaled so it cannot clip — so the stereo version can sound quieter than the original.

Tags and cover art

With Keep tags and cover art ticked, the title, artist, album, album artist, track and disc numbers, genre, date, comment, lyrics and the cover image are copied. MP3 stores them as ID3v2, M4A as iTunes-style atoms, FLAC and Opus as Vorbis comments (with a picture block), WebM as tags and attachments. WAV offers two styles: RIFF INFO, which most editors read but which has no cover art, or an ID3 chunk, which keeps the cover and is read by many music players. Untick the box to write a file without tags.

How it works

The file is read in your browser by Mediabunny. AIFF files are rewritten as WAV in memory and raw AC-3/E-AC-3/DTS streams are split into frames and wrapped in Matroska first, so they go through the same path. The audio is decoded with your browser’s WebCodecs decoders (or WebAssembly decoders for AC-3 and DTS), resampled and remixed if needed, and encoded with WebCodecs or WebAssembly encoders for MP3 (LAME), AAC and FLAC. Nothing is sent to a server.

Limitations

  • WMA, AMR, APE (Monkey’s Audio), WavPack, Musepack, TTA and DSD files cannot be read: browsers have no decoders for them. The page says so when you choose one.
  • Apple Lossless (ALAC) and CAF files only open where the browser itself can decode them (usually Safari); tags are not carried over in that case.
  • MP3 is encoded at a constant bitrate; variable bitrate is available for AAC and Opus.
  • Results are kept in the page until you download them, so very long WAV files, or many large results, need a lot of memory. The ZIP of a batch is offered up to 2 GB; beyond that, download the files one by one.
  • In a batch every file gets the same settings and its first audio track; to choose another track (another language of a film), convert that file on its own.
  • Without WebCodecs audio (for example Safari before version 26), only WAV and AIFF sources can be converted.

Privacy

Everything happens in your browser. What you enter or open here is not uploaded or stored by MySmartCoPilot. The audio engine (and, when a file needs them, the MP3, AAC, FLAC, AC-3 and DTS codecs) downloads from MySmartCoPilot the first time you open a file. Your audio is never uploaded.

Frequently asked questions

Does converting MP3 to WAV or FLAC improve the quality?

No. The file gets bigger and is decoded once, so it will not lose anything further when edited, but detail the MP3 encoder removed cannot come back. Convert from the original lossless file if you have it.

Which bitrate should I pick for MP3?

128 kbps is fine for speech and podcasts. For music, 192 or 256 kbps is a common choice, and 320 kbps is the highest MP3 allows. Choosing a bitrate higher than the source’s does not improve it; the page warns you when that happens.

Are my tags and album art kept?

Yes, with Keep tags and cover art ticked, for MP3, M4A, FLAC, OGG and WebM. For WAV choose the ID3 tag style to keep the cover; RIFF INFO tags hold text only.

Can I convert the sound of a video?

Yes. Open an MP4, MOV, MKV or WebM file: only the soundtrack is converted, and if the video has several audio tracks (for example languages) you choose which one.

How do I fix a recording that is only in one ear?

Set Channels to Left channel only (mono) (or right, if the sound is on the right). The output is mono, which players send to both ears. Use Mono (mix both sides) when both channels have useful sound.

Can I convert a whole album or folder at once?

Yes. Choose all the files together, drop the folder on the box, or press Choose a whole folder (on a computer). Every file is converted with the settings you pick and keeps its own tags and cover; files that cannot be read are listed with the reason. The list is sorted by name (track 2 before track 10). Download the files one by one or together as a ZIP, named after the folder when you used Choose a whole folder.

Is my audio uploaded?

No. Reading, decoding and encoding all happen in your browser; only the converter’s own code is downloaded from MySmartCoPilot the first time.

Quick answers and tool search

Type to search tools or to get a quick answer, for example 18% of 2500. Use the up and down arrow keys to move through the results, Enter to choose, and Escape to close.